Arch Axis/tr: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
(11 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
<div class="mw-translate-fuzzy">
{{docnav|[[Arch_SectionPlane|Section Plane]]|[[Arch_AxisSystem|Axes system]]|[[Arch_Module|Arch]]}}
{{Docnav/tr
{{GuiCommand
|[[Arch_CompAxis|Arch CompAxis]]
|[[Arch_AxisSystem|Axes system]]
|[[Arch_Module|Arch]]
|IconL=Arch_CompAxis.png
|IconC=Workbench_Arch.svg
|IconR=Arch_AxisSystem.png
}}
</div>

{{GuiCommand/tr
|Name=Arch Axis
|Name=Arch Axis
|MenuLocation=Arch → Axis
|MenuLocation=Arch → Axis
|Workbenches=[[Arch Module|Arch]]
|Workbenches=[[Arch Module|Arch]]
|Shortcut=A X
|Shortcut={{KEY|A}} {{KEY|X}}
|SeeAlso=[[Arch AxisSystem|Axis System]], [[Arch Grid]]
|SeeAlso=[[Arch AxisSystem|Axis System]], [[Arch Grid|Arch Grid]]
}}
}}


==Description==
==Description==


The Axis tool allows you to places a series of axes in the current document. The distance and the angle between axes is customizable, as well as the numbering style. The axes serve mainly as references to snap objects onto, but can also be used together with [[Arch AxisSystem|Axes Systems]], and can also be referenced by other Arch objects to create parametric arrays, for example of beams or columns. [[Arch Grid|Grids]] can also be used in places of axes.
The {{Button|[[Image:Arch Axis.svg|16px]] [[Arch Axis|Arch Axis]]}} tool allows you to places a series of axes in the current document. The distance and the angle between axes is customizable, as well as the numbering style. The axes serve mainly as references to snap objects onto, but can also be used together with {{Button|[[Image:Arch Axis_System.svg|16px]] [[Arch AxisSystem|Arch AxesSystems]]}} , and can also be referenced by other Arch objects to create parametric arrays, for example of beams or columns. {{Button|[[Image:Arch Grid.svg|16px]] [[Arch Grid|Arch Grids]]}} can also be used in places of axes.


[[Image:Arch Axis example.jpg|600px]]
[[Image:Arch Axis example.jpg|600px]]
{{Caption|Two axes objects positioned perpendicularly to each other to create a grid}}
{{Caption|Two axes objects positioned perpendicularly to each other to create a grid}}


==How to use==
==Usage==


# Press the {{Button|[[Image:Arch Axis.svg|16px]] [[Arch Axis]]}} button, or press {{KEY|A}} then {{KEY|X}} keys.
# Press the {{Button|[[Image:Arch Axis.svg|16px]] [[Arch Axis|Arch Axis]]}} button, or press {{KEY|A}} then {{KEY|X}} keys.
# [[Draft Move|Move]]/[[Draft Rotate|rotate]] the axes system to the desired position.
# [[Draft Move|Move]]/[[Draft Rotate|rotate]] the axes system to the desired position.
# Enter edit mode by double-clicking the axes system in the tree view to adjust its settings like number of axes, distances and angles between axes.
# Enter edit mode by double-clicking the axes system in the tree view to adjust its settings like number of axes, distances and angles between axes.
Line 40: Line 50:


==Scripting==
==Scripting==
{{Emphasis|See also:}} [[Arch API]] and [[FreeCAD Scripting Basics]].
{{Emphasis|See also:}} [[Arch API|Arch API]] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].


The Axis tool can be used in [[macros]] and from the [[Python]] console by using the following function:
The Axis tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following function:
{{Code|code=
{{Code|code=
Axes = makeAxis(num=5, size=1000, name="Axes")
Axes = makeAxis(num=5, size=1000, name="Axes")
Line 50: Line 60:


Example:
Example:

{{Code|code=
{{Code|code=
import Draft, Arch
import Draft, Arch
Line 72: Line 83:
FreeCAD.ActiveDocument.recompute()
FreeCAD.ActiveDocument.recompute()
}}
}}

{{docnav|[[Arch_SectionPlane|Section Plane]]|[[Arch_AxisSystem|Axes system]]|[[Arch_Module|Arch]]}}
<div class="mw-translate-fuzzy">
{{Arch Tools navi}}
{{Docnav/tr
{{Userdocnavi}}
|[[Arch_CompAxis|Arch CompAxis]]
|[[Arch_AxisSystem|Axes system]]
|[[Arch_Module|Arch]]
|IconL=Arch_CompAxis.png
|IconC=Workbench_Arch.svg
|IconR=Arch_AxisSystem.png
}}
</div>

{{Arch Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Revision as of 10:10, 30 April 2020

Arch Axis

Menü konumu
Arch → Axis
Tezgahlar
Arch
Varsayılan kısayol
A X
Versiyonda tanıtıldı
-
Ayrıca bkz
Axis System, Arch Grid

Description

The Arch Axis tool allows you to places a series of axes in the current document. The distance and the angle between axes is customizable, as well as the numbering style. The axes serve mainly as references to snap objects onto, but can also be used together with Arch AxesSystems , and can also be referenced by other Arch objects to create parametric arrays, for example of beams or columns. Arch Grids can also be used in places of axes.

Two axes objects positioned perpendicularly to each other to create a grid

Usage

  1. Press the Arch Axis button, or press A then X keys.
  2. Move/rotate the axes system to the desired position.
  3. Enter edit mode by double-clicking the axes system in the tree view to adjust its settings like number of axes, distances and angles between axes.

Options

  • Each axis in the series has its own distance and angle in relation to the previous axis. This allows to do very complex systems such as non-orthogonal systems, polar systems or any kind of non-uniform system
  • Double-clicking the axis in the tree view allows to edit the distances, angles and labels of each axis
  • Axes length, size of the bubbles and numbering styles are customizable directly via the axes system's properties
  • Each axis can also display a label, also editable via the task panel dialog

Properties

  • VeriLength: The length of the axes
  • GörünümBubble Size: The size of the axis bubbles
  • GörünümNumeration style: How the axes are numbered: 1,2,3, A,B,C, etc...
  • GörünümBubble Position: Where the bubble is placed on the axis: At start point, endpoint, both or none.
  • GörünümFont Name: A font to draw the bubble number and/or labels
  • GörünümFont Size: The size of the label text only (bubble text is controlled by the bubble size)
  • GörünümShow Labels: Turns the display of the label texts on/off

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The Axis tool can be used in macros and from the Python console by using the following function:

Axes = makeAxis(num=5, size=1000, name="Axes")
  • Creates an Axes object from the given number (num) of axes, and size, the interval between each axis.

Example:

import Draft, Arch

Axes = Arch.makeAxis(5, 1000)

Axes.ViewObject.LineWidth = 3
Axes.ViewObject.BubbleSize = 200
Axes.ViewObject.FontSize = 150

Axes2 = Arch.makeAxis(6, 500)

Axes2.ViewObject.LineWidth = 2
Axes2.ViewObject.BubbleSize = 200
Axes2.ViewObject.FontSize = 150
Axes2.ViewObject.NumberingStyle = "A,B,C"
FreeCAD.ActiveDocument.recompute()

Axes2.Length = 6000
Draft.rotate(Axes2, -90)
Draft.move(Axes2, FreeCAD.Vector(-1000, 2500, 0))
FreeCAD.ActiveDocument.recompute()